## org.hibernate.cache.spi
Interface QueryResultsRegion

All Superinterfaces:
  GeneralDataRegion, Region

All Known Implementing Classes:
  EhcacheQueryResultsRegion, QueryResultsRegionImpl

    public interface QueryResultsRegion

extends GeneralDataRegion

Defines the contract for a cache region which will specifically be used to store query results.

Method Summary

Methods inherited from interface org.hibernate.cache.spi.GeneralDataRegion
`evict, evictAll, get, put`

Methods inherited from interface org.hibernate.cache.spi.Region
`contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.